<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use App\Models\UserVehicle;

class Vehicle extends Model
{
    protected $table = 'gl_veicoli';
    protected $fillable = [ 'tipo_veicolo_id', 'targa', 'fast' ];
    
    public function vehicleUsers() {
        return $this->hasMany(UserVehicle::class, 'id', 'veicolo_id');
    }
}
